DRM_FB_HELPER_PREPAR(9)

NAME
drm_fb_helper_prepare - setup a drm_fb_helper structure

SYNOPSIS

void drm_fb_helper_prepare(struct drm_device * dev, struct drm_fb_helper * helper, const struct drm_fb_helper_funcs * funcs);

ARGUMENTS

dev
    DRM device

helper
    driver-allocated fbdev helper structure to set up

funcs
    pointer to structure of functions associate with this helper

DESCRIPTION

Sets up the bare minimum to make the framebuffer helper usable. This is useful to implement race-free initialization of the polling helpers.

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT